---
description: Tracks the number of tokens in a request to an LLM
action: tokens_per_user_request_prompt
identifiers:
- user
product_group: ai_framework
milestone: '16.4'
introduced_by_url: https://gitlab.com/gitlab-org/gitlab/-/merge_requests/40379
tiers:
- free
- premium
- ultimate
additional_properties:
  label:
    description: Action
  property:
    description: Request Id
  value:
    description: Prompt size in tokens
